Module wxmpl :: Class FigurePrinter

[frames] | no frames]

# Class FigurePrinter

source code

Provides a simplified interface to the wxPython printing framework that's designed for printing matplotlib figures.

Instance Methods

__init__(self, view, printData=None) Create a new `FigurePrinter` associated with the wxPython widget `view`. | source code

getPrintData(self) Return the current printer settings in their `wx.PrintData` object. | source code

setPrintData(self, printData) Use the printer settings in `printData`. | source code

pageSetup(self) | source code

previewFigure(self, figure, title=None) Open a "Print Preview" window for the matplotlib chart `figure`. | source code

printFigure(self, figure, title=None) Open a "Print" dialog to print the matplotlib chart `figure`. | source code

Method Details

### __init__(self, view, printData=None)
(Constructor)

source code

Create a new `FigurePrinter` associated with the wxPython widget `view`. The keyword argument `printData` supplies a `wx.PrintData` object containing the default printer settings.

### previewFigure(self, figure, title=None)

source code

Open a "Print Preview" window for the matplotlib chart `figure`. The keyword argument `title` provides the printing framework with a title for the print job.

### printFigure(self, figure, title=None)

source code

Open a "Print" dialog to print the matplotlib chart `figure`. The keyword argument `title` provides the printing framework with a title for the print job.